设为首页收藏本站

AnyChat技术支持论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
热搜: 活动 交友 discuz
查看: 1768|回复: 0

2017-02-12 优化底层库,全面兼容Android 7.0

[复制链接]

240

主题

2958

帖子

8867

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
8867
发表于 2017-2-26 15:20:39 | 显示全部楼层 |阅读模式
因Android 7.0对内核的调整,之前的版本在 android:targetSdkVersion="24"时,会触发应用闪退,logcat有如下出错信息输出:
com.example.helloanychat E/linker: library "/system/lib/liblog.so" ("/vendor/lib/liblog.so") needed or dlopened by "/data/app/com.example.helloanychat-1/lib/arm64/libanychatcore.so" is not accessible for the namespace: [name="classloader-namespace", ld_library_paths="", default_library_paths="/data/app/com.example.helloanychat-1/lib/arm64:/data/app/com.example.helloanychat-1/base.apk!/lib/arm64-v8a", permitted_paths="/data:/mnt/expand"]

最新版本AnyChat r6630已对Android 7.0进行了适配。需要同时升级.java文件和.so库,同时需要保证AnyChat服务器版本是V6.0以上的版本。


回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

Archiver|手机版|AnyChat ( 粤ICP备13022410号-1 )  

GMT+8, 2020-1-28 10:00 , Processed in 0.151785 second(s), 27 queries .

Powered by Discuz! X3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表